> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Wallets By Provider

> Returns the caller VERIFIED/PENDING/ARCHIVED wallets grouped into privy, crossmint and manual.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-user-wallets-by-provider
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-user-wallets-by-provider:
    get:
      operationId: getUserWalletsByProvider
      summary: Get User Wallets By Provider
      description: >-
        Returns the caller VERIFIED/PENDING/ARCHIVED wallets grouped into privy,
        crossmint and manual.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserWalletsByProviderResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetUserWalletsByProviderResponse:
      type: object
      properties:
        privyWallets:
          type: array
          items: {}
        crossmintWallets:
          type: array
          items: {}
        manualWallets:
          type: array
          items: {}
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
